<?
$max_gidra=200;
if(isset($_GET['arenda']) && ($_GET['arenda']=='1' || $_GET['arenda']=='2' || $_GET['arenda']=='3' || $_GET['arenda']=='4'))
{
$arend=intval($_GET['arenda']);
if($arend==1)
{
$cena=3;
$timee=3600*1;
$ps=50;
if($ku['dog_time']>$time)
{
$ps=$ku['dog_type']+$ps;
if($ps>=$max_gidra)$ps=$max_gidra;
}
}
elseif($arend==2)
{
$cena=9;
$timee=3600*5;
$ps=100;
if($ku['dog_time']>$time)
{
$ps=$ku['dog_type']+$ps;
if($ps>=$max_gidra)$ps=$max_gidra;
}
}
elseif($arend==3)
{
$cena=30;
$timee=3600*24;
$ps=150;
if($ku['dog_time']>$time)
{
$ps=$ku['dog_type']+$ps;
if($ps>=$max_gidra)$ps=$max_gidra;
}
}
elseif($arend==4)
{
$cena=66;
$timee=3600*24*3;
$ps=200;
if($ku['dog_time']>$time)
{
$ps=$ku['dog_type']+$ps;
if($ps>=$max_gidra)$ps=$max_gidra;
}
}

if($arend==1 || $arend==2 || $arend==3 || $arend==4)
{
if($ku['rubies']>=$cena)
{
if(isset($_GET['ok']))
{
mysql_query("UPDATE `kolhoz_user` SET `dog_time` = '".($ku['dog_time']>$time?"".($ku['dog_time']+$timee)."":"".($time+$timee)."")."', `dog_type` = '$ps', `rubies` = '".($ku['rubies']-$cena)."' WHERE `id` = '$ku[id]'");
//mysql_query("UPDATE `kolhoz_user` SET `botanik` = '".($ku['botanik']+floor($timee/3600))."' WHERE `id` = '$ku[id]'");
$ku=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_user` WHERE `id` = '$ku[id]'"));
$_SESSION['msg'] = "Арендовано на ".time_left($ku['dog_time']-$time)."";
header("Location:/shop-dog");
}
else
{
echo "<div class='event'><h1>Подтверждение</h1></div><div class='content'><div class='block'><ul class='block'><li><span class='title'>Вы уверены?</span></li><li class='pt'><img alt='' width='16' height='16' src='images/icons/tick.png'> <a href='/shop-dog/arenda-".intval($_GET['arenda'])."/ok'><span> Да, подтверждаю</span></a></li><li><img alt='' width='16' height='16' src='images/icons/cross.png'> <a href='/shop-dog'><span> Нет, отказываюсь</span></a></li></ul></div>";
include_once 'inc/foot.php';
}
}
else
{
$_SESSION['no_rubies']=$cena-$ku['rubies'];
header("Location:/shop-dog");
}
}
}

echo "<div class='event'><h1>Собака</h1></div>
<div class='content'>
<div class='block'>
<div>
<span class='epic'>Собака</span>
 - отпугивает птиц и воров. Увеличивает опыт за любые действия фермера. 
Нанимается только на время.
</div>
<div style='clear:both;'></div>
<h3>Эффект</h3>
<div class='title'>
Повышает любой получаемый опыт от <span class='epic'>50%</span> до <span class='epic'>200%</span>.
</div>
<h3>Аренда</h3>
<ul>
<li>
<img width='48' height='48' src='images/icons/dog-1.png' alt='*'>
<a href='/shop-dog/arenda-1'>Арендовать</a> +50% на 1 час
<span class='minor'>(цена <img width='16' height='16'
src='images/icons/ruby.png' alt='*'> 3 рубина)</span>
</li>
<li>
<img width='48' height='48' src='images/icons/dog-2.png' alt='*'>
<a href='/shop-dog/arenda-2'>Арендовать</a> +100% на 5 часов
<span class='minor'>(цена <img width='16' height='16'
src='images/icons/ruby.png' alt='*'> 9 рубинов)</span>
</li>
<li>
<img width='48' height='48' src='images/icons/dog-3.png' alt='*'>
<a href='/shop-dog/arenda-3'>Арендовать</a> +150% на сутки
<span class='minor'>(цена <img width='16' height='16'
src='images/icons/ruby.png' alt='*'> 30 рубинов)</span>
</li>
<li>
<img width='48' height='48' src='images/icons/dog-4.png' alt='*'>
<a href='/shop-dog/arenda-4'>Арендовать</a> +200% на 3-е суток
<span class='minor'>(цена <img width='16' height='16'
src='images/icons/ruby.png' alt='*'> 66 рубина)</span>
</li>
<li>
";

echo "<div class='pt'>
<img width='16' height='16' src='images/icons/cart.png' alt='*'>
<a href='/shop'>В магазин</a>
</div>
</div>
";
include_once 'inc/foot.php';
?>